Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 529836 - net-libs/glib-networking-2.40.1-r1 - src_test(): ERROR: connection - missing test plan
Summary: net-libs/glib-networking-2.40.1-r1 - src_test(): ERROR: connection - missing ...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2014-11-19 09:35 UTC by Paolo Pedroni
Modified: 2015-09-09 02:01 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
glib-networking-2.40.1-r1:20141119-093104.log.gz (glib-networking-2.40.1-r1:20141119-093104.log.gz,14.93 KB, application/gzip)
2014-11-19 09:35 UTC, Paolo Pedroni
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo Pedroni 2014-11-19 09:35:23 UTC
Created attachment 389716 [details]
glib-networking-2.40.1-r1:20141119-093104.log.gz

First thing first: this is not a dupe of #512720, as it happens on native ABI (I don't even have abi_x86_32 in USE flags for this package).

I am not able anymore to successfully run tests for net-libs/glib-networking-2.40.1-r1. Last time they run was on August 5th. I always get this error:

PASS: connection 1 /tls/connection/basic
PASS: connection 2 /tls/connection/verified
PASS: connection 3 /tls/connection/client-auth
PASS: connection 4 /tls/connection/client-auth-rehandshake
PASS: connection 5 /tls/connection/client-auth-failure
PASS: connection 6 /tls/connection/client-auth-request-cert
PASS: connection 7 /tls/connection/client-auth-request-fail
PASS: connection 8 /tls/connection/no-database
PASS: connection 9 /tls/connection/failed
PASS: connection 10 /tls/connection/socket-client
PASS: connection 11 /tls/connection/socket-client-failed
PASS: connection 12 /tls/connection/read-time-out-then-write
PASS: connection 13 /tls/connection/simultaneous-async
PASS: connection 14 /tls/connection/simultaneous-sync
ERROR: connection - missing test plan
ERROR: connection - exited with status 134 (terminated by signal 6?)
make[6]: Entering directory '/var/tmp/portage/net-libs/glib-networking-2.40.1-r1/work/glib-networking-2.40.1-abi_x86_64.amd64/tls/tests'
make  all-am
make[7]: Entering directory '/var/tmp/portage/net-libs/glib-networking-2.40.1-r1/work/glib-networking-2.40.1-abi_x86_64.amd64/tls/tests'
make[7]: Nothing to be done for 'all-am'.
make[7]: Leaving directory '/var/tmp/portage/net-libs/glib-networking-2.40.1-r1/work/glib-networking-2.40.1-abi_x86_64.amd64/tls/tests'
make[6]: Leaving directory '/var/tmp/portage/net-libs/glib-networking-2.40.1-r1/work/glib-networking-2.40.1-abi_x86_64.amd64/tls/tests'
============================================================================
Testsuite summary for glib-networking 2.40.1
============================================================================
# TOTAL: 64
# PASS:  62
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 2
============================================================================
See tls/tests/test-suite.log

tls/tests/test-suite.log reads:
ok 12 /tls/connection/read-time-out-then-write
PASS: connection 12 /tls/connection/read-time-out-then-write
ok 13 /tls/connection/simultaneous-async
PASS: connection 13 /tls/connection/simultaneous-async
**
GLib-Net:ERROR:/var/tmp/portage/net-libs/glib-networking-2.40.1-r1/work/glib-networking-2.40.1/tls/tests/connection.c:368:run_echo_server: assertion failed (error == NULL): Error performing TLS handshake: The specified session has been invalidated for some reason. (g-tls-error-quark, 1)
ok 14 /tls/connection/simultaneous-sync
PASS: connection 14 /tls/connection/simultaneous-sync
Aborted
# GLib-Net:ERROR:/var/tmp/portage/net-libs/glib-networking-2.40.1-r1/work/glib-networking-2.40.1/tls/tests/connection.c:368:run_echo_server: assertion failed (error == NULL): Error performing TLS handshake: The specified session has been invalidated for some reason. (g-tls-error-quark, 1)
ERROR: connection - missing test plan
ERROR: connection - exited with status 134 (terminated by signal 6?)

The weird thing, AFAICT, is that tests 13 and 14 apparently pass, but the session is somehow invalidated.

# emerge --info =net-libs/glib-networking-2.40.1-r1
Portage 2.2.14 (python 2.7.7-final-0, default/linux/amd64/13.0/desktop/kde/systemd, gcc-4.8.3, glibc-2.19-r1, 3.18.0-rc5 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.18.0-rc5-x86_64-AMD_Phenom-tm-_II_X6_1100T_Processor-with-gentoo-2.2
KiB Mem:    12027380 total,    344432 free
KiB Swap:    8643068 total,   8642372 free
Timestamp of tree: Tue, 18 Nov 2014 07:45:01 +0000
ld GNU gold (Gentoo 2.24 p1.4 2.24) 1.11
distcc 3.1 x86_64-pc-linux-gnu [enabled]
ccache version 3.1.9 [disabled]
app-shells/bash:          4.3_p30-r1
dev-java/java-config:     2.2.0
dev-lang/perl:            5.20.1-r2
dev-lang/python:          2.7.7, 3.4.2
dev-util/ccache:          3.1.9-r3
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.11.6-r1, 1.13.4
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.8.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.16 (virtual/os-headers)
sys-libs/glibc:           2.19-r1
Repositories: gentoo x-portage
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=amdfam10 -msahf -mlzcnt -mpopcnt --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -flto=7 -fuse-linker-plugin -floop-interchange -floop-strip-mine -floop-block -fgraphite-identity"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=amdfam10 -msahf -mlzcnt -mpopcnt --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -flto=7 -fuse-linker-plugin -floop-interchange -floop-strip-mine -floop-block -fgraphite-identity"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going y --with-bdeps y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs compress-build-logs config-protect-if-modified distcc distlocks ebuild-locks merge-sync news parallel-fetch protect-owned sandbox sfperms split-elog split-log strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.halifax.rwth-aachen.de/gentoo/ http://tux.rainside.sk/gentoo/ http://gentoo.mneisen.org/ http://gentoo.tiscali.nl/ http://gentoo.inode.at/"
LANG="it_IT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,--sort-common -flto=7 -fuse-linker-plugin -floop-interchange -floop-strip-mine -floop-block -fgraphite-identity"
MAKEOPTS="-j12"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac aalib acl acpi adns alsa amd64 ao audiofile bash-completion bluetooth branding bzip2 cairo caps cdda cddb cdparanoia cdr cli cracklib crypt css cups curl cxx dbus declarative dga djvu dri dts dvd dvdr emboss encode exif expat fam fbcon ffmpeg fftw firefox flac fontconfig foomaticdb fortran ftp gd gdbm geoip gif gimp glamor gmp gnutls gphoto2 gpm graphviz gstreamer gtk handbook iconv icu idn ieee1394 imagemagick imlib ipv6 java javascript jbig jpeg jpeg2k kde kipi lame lcms libass libcaca libnotify libsamplerate lm_sensors lua lzma lzo mad mmap mmx mng modules mp3 mp4 mpeg mplayer multilib musicbrainz ncurses nls nptl nsplugin offensive ogg openal openexr opengl openmp pam pango pcre pdf phonon plasma png policykit postscript ppds pulseaudio qt3support qt4 rdesktop readline recode samba scanner sdl semantic-desktop session smartcard sndfile sockets speex spell sqlite sqlite3 sse sse2 ssl startup-notification svg symlink syslog systemd sysvipc taglib theora threads tidy tiff truetype udev udisks unicode upower usb vcd vdpau vim-syntax vnc vorbis wayland win32codecs wmf wxwidgets x264 xattr xcb xcomposite xinerama xml xpm xscreensaver xv xvid yahoo zlib" ABI_X86="64" ALSA_CARDS="hda-intel virmidi" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="kodak ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver" LINGUAS="it" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4 pypy pypy3" RUBY_TARGETS="ruby20" SANE_BACKENDS="epson epson2" USERLAND="GNU" VIDEO_CARDS="radeon r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

# emerge -1pqv =net-libs/glib-networking-2.40.1-r1
[ebuild  N    ] net-libs/glib-networking-2.40.1-r1  USE="libproxy smartcard ssl {test} -gnome" ABI_X86="(64) -32 (-x32)"
Comment 1 Jeroen Roovers gentoo-dev 2014-11-19 10:16:59 UTC

*** This bug has been marked as a duplicate of bug 512720 ***
Comment 2 Paolo Pedroni 2014-11-19 10:20:24 UTC
It is NOT a a duplicate of 512720. I wrote it as the first paragraph! It happens in completely different circumstances. Please read the bugs before marking them.
Comment 3 Paolo Pedroni 2014-11-19 10:21:00 UTC
(In reply to Paolo Pedroni from comment #2)
> It is NOT a a duplicate of 512720. I wrote it as the first paragraph! It
> happens in completely different circumstances. Please read the bugs before
> marking them.

And it regards different test, BTW.
Comment 4 Gilles Dartiguelongue gentoo-dev 2014-11-23 18:24:58 UTC
# cat tls/tests/test-suite.log 
======================================================
   glib-networking 2.42.0: tls/tests/test-suite.log
======================================================

# TOTAL: 42
# PASS:  40
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 2

.. contents:: :depth: 2

ERROR: connection
=================

# random seed: R02S9458ea08001c582b2ad4543b44e4ef54
# Start of tls tests
# Start of connection tests
ok 1 /tls/connection/basic
PASS: connection 1 /tls/connection/basic
ok 2 /tls/connection/verified
PASS: connection 2 /tls/connection/verified
ok 3 /tls/connection/client-auth
PASS: connection 3 /tls/connection/client-auth
ok 4 /tls/connection/client-auth-rehandshake
PASS: connection 4 /tls/connection/client-auth-rehandshake
ok 5 /tls/connection/client-auth-failure
PASS: connection 5 /tls/connection/client-auth-failure
ok 6 /tls/connection/client-auth-request-cert
PASS: connection 6 /tls/connection/client-auth-request-cert
ok 7 /tls/connection/client-auth-request-fail
PASS: connection 7 /tls/connection/client-auth-request-fail
ok 8 /tls/connection/no-database
PASS: connection 8 /tls/connection/no-database
ok 9 /tls/connection/failed
PASS: connection 9 /tls/connection/failed
ok 10 /tls/connection/socket-client
PASS: connection 10 /tls/connection/socket-client
ok 11 /tls/connection/socket-client-failed
PASS: connection 11 /tls/connection/socket-client-failed
ok 12 /tls/connection/read-time-out-then-write
PASS: connection 12 /tls/connection/read-time-out-then-write
ok 13 /tls/connection/simultaneous-async
PASS: connection 13 /tls/connection/simultaneous-async
**
GLib-Net:ERROR:/var/tmp/portage/portage/net-libs/glib-networking-2.42.0/work/glib-networking-2.42.0/tls/tests/connection.c:368:run_echo_server: assertion failed (error == NULL): Error performing TLS handshake: The specified session has been invalidated for some reason. (g-tls-error-quark, 1)
ok 14 /tls/connection/simultaneous-sync
PASS: connection 14 /tls/connection/simultaneous-sync
/var/tmp/portage/portage/net-libs/glib-networking-2.42.0/work/glib-networking-2.42.0/tap-test : ligne 5 : 29086 Abandon                 $1 -k --tap
# GLib-Net:ERROR:/var/tmp/portage/portage/net-libs/glib-networking-2.42.0/work/glib-networking-2.42.0/tls/tests/connection.c:368:run_echo_server: assertion failed (error == NULL): Error performing TLS handshake: The specified session has been invalidated for some reason. (g-tls-error-quark, 1)
ERROR: connection - missing test plan
ERROR: connection - exited with status 134 (terminated by signal 6?)
Comment 5 Gilles Dartiguelongue gentoo-dev 2014-11-23 18:31:14 UTC
I am pretty sure this is related to this thread on distributor-list@gnome.org

https://mail.gnome.org/archives/distributor-list/2014-September/msg00000.html

and follow up:
http://permalink.gmane.org/gmane.linux.mageia.devel/40667